<template>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
      <a class="navbar-brand" href="#"><img src="https://getbootstrap.com/docs/4.0/assets/brand/bootstrap-solid.svg"
          alt="" width="30" height="35"></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
        aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <router-link to="/" class="nav-link" active-class="active">Home</router-link>
          </li>
          <li class="nav-item">
            <router-link to="/about" class="nav-link" active-class="active">About</router-link>
          </li>
          <li class="nav-item">
            <router-link to="/movie" class="nav-link" active-class="active">Movie</router-link>
          </li>
        </ul>
      </div>

      <div class="d-flex">
        <input class="form-control me-2" v-model="movieStore.query" type="search" placeholder="Search"
          aria-label="Search">
        <!-- <button class="btn btn-success" type="button">Search</button> -->
      </div>
    </div>
  </nav>
</template>

<script setup>
import { watchEffect } from "vue";
import { useMoviesStore } from "../stores/movies";
const movieStore = useMoviesStore();
watchEffect(() => {
  movieStore.getMovies(movieStore.query)
})
</script>

<style lang="scss" scoped></style>